/* Reset CSS */
*,
*::before,
*::after {
  box-sizing: border-box;
  margin: 0;
  padding: 0;
}

html,
body {
  height: 100%;
  width: 100%;
}

body {
  line-height: 1.5;
  font-family: Arial, Helvetica, sans-serif;
  background-color: #fff;
  color: #222;
}

img,
picture,
video,
canvas,
svg {
  display: block;
  max-width: 100%;
  height: auto;
}

input,
button,
textarea,
select {
  font: inherit;
  color: inherit;
  background: none;
  border: none;
  outline: none;
}

a {
  color: inherit;
  text-decoration: none;
}

ul,
ol {
  list-style: none;
}

table {
  border-collapse: collapse;
  border-spacing: 0;
}


/* Fim reset*/

/* Fontes */
@font-face {
  font-family: 'Archivo';
  src: url('fonts/Archivo-VariableFont_wdth,wght.ttf') format('truetype');
  font-weight: 100 900;
  font-stretch: 62% 125%;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo';
  src: url('fonts/Archivo-Italic-VariableFont_wdth,wght.ttf') format('truetype');
  font-weight: 100 900;
  font-stretch: 62% 125%;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo ExtraCondensed';
  src: url('fonts/Archivo_ExtraCondensed-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo ExtraCondensed';
  src: url('fonts/Archivo_ExtraCondensed-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo ExtraCondensed';
  src: url('fonts/Archivo_ExtraCondensed-Black.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo ExtraCondensed';
  src: url('fonts/Archivo_ExtraCondensed-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Condensed';
  src: url('fonts/Archivo_Condensed-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Condensed';
  src: url('fonts/Archivo_Condensed-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Condensed';
  src: url('fonts/Archivo_Condensed-Black.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Condensed';
  src: url('fonts/Archivo_Condensed-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiCondensed';
  src: url('fonts/Archivo_SemiCondensed-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiCondensed';
  src: url('fonts/Archivo_SemiCondensed-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiCondensed';
  src: url('fonts/Archivo_SemiCondensed-Black.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiCondensed';
  src: url('fonts/Archivo_SemiCondensed-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiExpanded';
  src: url('fonts/Archivo_SemiExpanded-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiExpanded';
  src: url('fonts/Archivo_SemiExpanded-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiExpanded';
  src: url('fonts/Archivo_SemiExpanded-Black.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo SemiExpanded';
  src: url('fonts/Archivo_SemiExpanded-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Expanded';
  src: url('fonts/Archivo_Expanded-Regular.ttf') format('truetype');
  font-weight: 400;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Expanded';
  src: url('fonts/Archivo_Expanded-Bold.ttf') format('truetype');
  font-weight: 700;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Expanded';
  src: url('fonts/Archivo_Expanded-Black.ttf') format('truetype');
  font-weight: 900;
  font-style: normal;
  font-display: swap;
}

@font-face {
  font-family: 'Archivo Expanded';
  src: url('fonts/Archivo_Expanded-Italic.ttf') format('truetype');
  font-weight: 400;
  font-style: italic;
  font-display: swap;
}

/* Estilos personalizados para combinar com a identidade visual */
body {
  font-family: 'Archivo', Arial, Helvetica, sans-serif;
  color: #333;
}

/* Cores */
:root {
  --bs-primary-rgb: 103, 58, 183;
  /* Roxo principal */
  --bs-secondary-rgb: 236, 64, 122;
  /* Rosa */



  --custom-white: #ffffff;
  --custom-purple-light: #f3e5f5;
  /*----*/
  --pantone-7424: #E64783;
  --azul-institucional: #3C3F8D;
  --pantone-801: #0097CE;
  --pantone-158: #EE7623;
}

h1,
h2,
h3 {
  font-weight: bold;
  /* Extra Bold */
  color: var(--azul-institucional);
}

/* Navbar */
.bg-nav {
  background-color: var(--custom-white) !important;
}

.navbar .nav-item {
  padding-left: 1em;
  padding-right: 1em;
}

.nav-item a {
  color: var(--azul-institucional) !important;
  font-size: 1.2em;
  line-height: 1em;
  font-weight: bold;
}

.bg-cor-um {
  background-color: var(--pantone-7424);
}

.color-cor-um {
  color: var(--pantone-7424);
}

.bg-cor-dois {
  background-color: var(--azul-institucional);
}

.color-cor-dois {
  color: var(--azul-institucional);
}

.bg-cor-tres {
  background-color: var(--pantone-801);
}

.color-cor-tres {
  color: var(--pantone-801);
}

.bg-cor-quatro {
  background-color: var(--pantone-158);
}

.color-cor-quatro {
  color: var(--pantone-158);
}

.bg-cor-white {
  background-color: var(--custom-white);
}

.color-cor-white {
  color: var(--custom-white);
}


/* Seção Hero */
.hero {
  position: relative;
  width: 100%;
  height: auto;
  /* Or a specific height */
  background-image: url('imgens/mobile/m-header-fundo-2026.png');
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
}

.hero-banner {
  text-align: center;
}

.hero-info {
  max-width: 100%;
  height: auto;
}

@media (min-width: 768px) {
  .hero {
    background-image: url('imgens/descktop/header-fundo-site-2026.png');
  }
}

/* Estilo para a sessão sobre */

.text-sobre-sobre {
  font-size: 3rem;
}

.text-sobre-titulo {
  color: var(--azul-institucional);
  font-weight: bold;
  font-size: 6rem;
  line-height: 1em;
}

.text-sobre-descricao {
  font-size: 1.8rem;
}

#historia p {
  font-size: 1.2em;
  color: var(--custom-white);
}

/* fim sessão sobre */


/* Programação */
.programacao-background {
  background-color: var(--pantone-7424);
}

.programacao-text-programacao {
  font-size: 3rem;
}

.programacao-text-atividade {
  color: var(--azul-institucional);
  font-weight: bold;
  font-size: 6rem;
  line-height: 1em;
}

.programacao-text-titulo {
  color: var(--azul-institucional);
  font-weight: bold;
  font-size: 6rem;
}

.programacao-text-descricao {
  font-size: 2rem;
}

/* Fim Programação */

/* Botão Principal */
.btn-custom {
  background-color: var(--pantone-7424);
  color: white;
  padding: 12px 30px;
  font-weight: 700;
  border-radius: 8px;
  text-transform: uppercase;
  transition: background-color 0.3s;
  font-size: 2em;
}

.btn-custom:hover {
  background-color: var(--azul-institucional);
  color: white;
}

/* Seções */
.section-light-purple {
  background-color: var(--custom-purple-light);
}

.section-pink {
  background-color: var(--pantone-7424);
}

.section-pink h2 {
  font-size: 4em;
}

.section-pink p {
  font-size: 1.8rem;
  color: var(--custom-white);
}


/* Cards de Atividades */
/* Card base */
.card-custom {
  border-radius: 12px;
  overflow: hidden;
  position: relative;
}

.card-custom-wapper-img {
  padding-top: 60px;
}

.card-custom img {
  width: 100%;
  display: block;
  border-radius: 10px 10px 10px 10px;
}

.card-custom-header {
  position: absolute;
  top: 0px;
  left: 12px;
  padding: 12px 16px;
  border-radius: 10px 50px 10px 10px;
  width: 250px;
  height: 100px;
  z-index: 2;
  text-align: center;
  line-height: calc(340.062px - 12px - 12px);
}

.card-custom-header-right {
  border-radius: 50px 10px 10px 10px;
  right: 12px !important;
  left: auto;
}

.card-custom-header h2 {
  color: white;
  font-size: 2rem;
  font-weight: bold;
  margin: 0;
  line-height: 1.2;
}

.card-custom-body {
  padding: 16px 0;
  font-size: 1.2rem;
  color: #333;
  line-height: 1.4em;
  text-align: justify;
}

@media (min-width: 768px) {
  .card-custom-wapper-img {
    display: flex;
    justify-content: flex-end;
  }

  .card-custom img {
    width: 60%;
    display: block;
    border-radius: 10px 10px 10px 10px;
    left: 0;
  }

  .card-custom-wrapper-image-left {
    justify-content: flex-start;
  }

  .card-custom-header {
    position: absolute;
    top: 25%;
    padding: 12px 16px;
    border-radius: 4% 15% 4% 4% / 8% 30% 8% 8%;
    width: 50%;
    height: 50%;
    z-index: 2;
    text-align: center;
    line-height: calc(340.062px - 12px - 12px);
  }

  .card-custom-header-right {
    border-radius: 15% 4% 4% 4% / 30% 8% 8% 8%;
    right: 12px !important;
    left: auto;
  }

  .card-custom-header h2 {
    line-height: normal;
    margin-top: 0;
    margin-bottom: 0;
    display: inline-block;
    vertical-align: middle;
    font-size: 5rem;
  }

}


/*---------------------------*/


/* Tags de Cursos */
.tag {
  background-color: var(--pantone-7424);
  color: white;
  padding: 10px 18px;
  border-radius: 5px;
  font-size: 1.5em;
  font-weight: 900;
}

/* Galeria de Fotos */
.gallery-item img {
  border-radius: 8px;
  width: 100%;
}

.gallery-item p {
  color: white;
  margin-top: -35px;
  position: relative;
  display: inline-block;
  font-size: 1.5em;
  padding: 5px 20px;
  border-radius: 5px;
  font-weight: 700;
}

/* Localizacao */
.text-localizacao {
  font-size: 2em;
  font-weight: 300;
}

/* Footer */
footer {
  background-color: var(--pantone-801);
  color: white;
}

.footer-info {
  text-align: center;
}

footer img {
  max-width: 100%;
  height: auto;
  display: unset;
}

.contato-background {
  position: relative;
  width: 100%;
  height: auto;
  /* Or a specific height */
  background-image: url('imgens/mobile/m-fundo-contato-mobile.png');
  background-size: cover;
  background-position: center;
  display: flex;
  align-items: center;
  justify-content: center;
  color: var(--custom-white);
}

.contato-titulo {
  color: var(--azul-institucional);
}

@media (min-width: 768px) {
  .contato-background {
    /*background-image: url('imgens/descktop/fundo-contato-site.png');*/
  }
}

/*Fim fontes*/

.custom-card {
  display: flex;
  background-color: #ffffff;
  /* Supondo um fundo branco baseado na imagem */
  border-radius: 15px;
  /* Cantos arredondados */
  overflow: hidden;
  /* Para conter os cantos arredondados dos filhos */
  box-shadow: 0 10px 20px rgba(0, 0, 0, 0.19), 0 6px 6px rgba(0, 0, 0, 0.23);
  /* Efeito de sombra */
  max-width: 800px;
  /* Exemplo de largura máxima */
  margin: 20px auto;
  /* Centraliza o card e adiciona um pouco de espaço */
  flex-direction: column;
  /* Layout padrão em coluna para telas pequenas */
}

.card-text-content {
  padding: 30px;
  flex: 1;
  /* Permite que o conteúdo de texto ocupe o espaço disponível */
  background-color: #2a4d99;
  /* Supondo um fundo azul baseado na imagem */
  color: #ffffff;
  /* Cor do texto branca */
  display: flex;
  flex-direction: column;
  justify-content: center;
  /* Centraliza o texto verticalmente */
}

.card-text-content h2 {
  margin-top: 0;
  color: #ffffff;
  /* Garante que o título seja branco */
}

.card-text-content p {
  margin-bottom: 1em;
  line-height: 1.5;
}


.card-image-container {
  flex: 1;
  /* Permite que o contêiner da imagem ocupe o espaço disponível */
  position: relative;
  /* Para possível posicionamento absoluto da imagem */
  min-height: 200px;
  /* Altura mínima para o contêiner da imagem */
}

.card-image-container img {
  display: block;
  width: 100%;
  height: 100%;
  object-fit: cover;
  /* Garante que a imagem cubra o contêiner sem distorção */
  border-radius:
    0 15px 15px 0;
  /* Canto arredondado apenas no lado direito */
}


/* Redes sociais */
.rede-sociais {
  display: inline-block;
}

.rede-sociais-titulo {
  display: inline-block;
  color: var(--azul-institucional);
  font-weight: bold;
  font-size: 3rem;
  line-height: 1em;
  padding-left: 10px;
  margin-top: 10px;
}

/* Fim redes sociais */


/** Garanta seu inhresso**/
/* Animation for the spinning background */
@keyframes gradient-animation {
  0% {
    background-position: 0% 50%;
  }

  50% {
    background-position: 100% 50%;
  }

  100% {
    background-position: 0% 50%;
  }
}

/* Animation for the horizontal scrolling text */
@keyframes scroll-horizontal {
  0% {
    transform: translateX(0);
  }

  100% {
    /* This value should be negative the total width of all text items */
    /* You might need to calculate this based on your content */
    transform: translateX(-50%);
    /* Example: scrolls 100% of container width */
  }
}

/* Instagram */
.insta-embed {
  margin: 0 auto;
  display: block;
  max-width: 360px;
}

/* Fim Instagram*/
.spinning-background-container {
  /* Base styles for the container with the spinning background */
  width: 100%;
  /* Or desired width */
  height: 100px;
  /* Or desired height */
  overflow: hidden;
  /* Hide overflowing scrolling text */
  position: relative;
  /* Needed if you add positioned children */

  /* Apply the gradient background */
  background: linear-gradient(140deg, rgb(44, 35, 90), rgb(101, 82, 252), rgb(245, 107, 157));
  background-size: 180% 180%;
  /* Increase size to allow for movement */

  /* Apply the spinning background animation */
  animation: gradient-animation 5s ease infinite normal none running;

  /* Optional: Center the text container vertically */
  display: flex;
  align-items: center;
}

.scrolling-text-container {
  /* Container for the scrolling text */
  display: flex;
  /* Arrange span items in a row */
  white-space: nowrap;
  /* Prevent text from wrapping */
  width: max-content;
  /* Allow container to be wider than parent if needed */
  /* You might need to set an explicit large width here if max-content isn't enough */

  /* Apply the horizontal scrolling animation */
  animation: scroll-horizontal 50s linear infinite;
}

.scrolling-text-item {
  /* Styles for individual text items */
  display: inline-block;
  /* Display as inline-block for spacing/margins */
  /* padding: 20px 50px;/* Add space between items */
  font-size: 24px;
  /* Example font size */
  color: white;
  /* Example text color */
  /* Add any other desired text styles */
}

.scrolling-text-item>a {
  font-weight: bold;
  padding: 20px 50px;
}


/* Media query para telas maiores para mudar o layout para linha */
@media (min-width: 768px) {
  .custom-card {
    flex-direction: row;
    /* Layout em linha em telas maiores */
  }

  .card-image-container img {
    border-radius: 0 15px 15px 0;
    /* Canto arredondado apenas no lado direito */
  }
}

@media (max-width: 768px) {

  /*sobre*/
  .text-sobre-sobre {
    font-size: 2rem;
  }

  .text-sobre-titulo {
    color: var(--azul-institucional);
    font-weight: bold;
    font-size: 3.5rem;
    line-height: 1em;
  }

  .text-sobre-descricao {
    font-size: 1.2rem;
  }

  /* fim sobre*/

  /* Programação */
  .programacao-text-programacao {
    font-size: 2rem;
  }

  .programacao-text-atividade {
    color: var(--azul-institucional);
    font-size: 3.5rem;
    line-height: 1em;
  }

  .contato-titulo {
    color: var(--custom-white);
  }

  .section-pink h2 {
    font-size: 3.5em;
  }

  .programacao-text-titulo {
    color: var(--azul-institucional);
    font-weight: bold;
    font-size: 2.5rem;
  }

  .tag {
    width: 100%;
  }

  .programacao-text-descricao {
    font-size: 1.5rem;
  }

  .rede-sociais-titulo {
    font-size: 2.5rem;
  }

  /* Fim programação */

}

/* Custom Navbar Toggler */
.navbar-toggler {
  border: none;
  font-size: 1.5rem;
}

.navbar-toggler:focus {
  box-shadow: none;
}

.navbar-toggler-icon {
  background-image: url("data:image/svg+xml,%3csvg xmlns='http://www.w3.org/2000/svg' viewBox='0 0 30 30'%3e%3cpath stroke='%233C3F8D' stroke-linecap='round' stroke-miterlimit='10' stroke-width='4' d='M4 7h22M4 15h22M4 23h22'/%3e%3c/svg%3e");
}